<!-- <div class="rectangle-2">
  <div class="row">
    <div class="factory-logo" style="margin-left: 2rem">
      <img src="/assets/Factory_Logo.png" />
    </div>
  </div>
</div>
<div class="rectangle-9">
  <mat-tree
    [dataSource]="dataSource"
    [treeControl]="treeControl"
    class="example-tree"
  >
    
    <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle>
      <li class="mat-tree-node">
      
        <button mat-icon-button disabled></button>
        {{ node.name }}
      </li>
    </mat-tree-node>
   
    <mat-nested-tree-node *matTreeNodeDef="let node; when: hasChild">
      <li>
        <div class="mat-tree-node">
          <button
            mat-icon-button
            matTreeNodeToggle
            [attr.aria-label]="'Toggle ' + node.name"
          >
            <mat-icon class="mat-icon-rtl-mirror">
              {{
                treeControl.isExpanded(node) ? "expand_more" : "chevron_right"
              }}
            </mat-icon>
          </button>
          {{ node.name }}
        </div>
        <ul [class.example-tree-invisible]="!treeControl.isExpanded(node)">
          <ng-container matTreeNodeOutlet></ng-container>
        </ul>
      </li>
    </mat-nested-tree-node>
  </mat-tree>
</div> -->





<div class="col-md-12 col-12">
  <div class="row">
    <div class="col-md-3 rectangle-9">
      <div class="back-space">
        <h5 class="spaces">Spaces</h5>
      </div>
      <div class="">
        <mat-tree
          [dataSource]="dataSource"
          [treeControl]="treeControl"
          class="example-tree"
        >
          <!-- This is the tree node template for leaf nodes -->
          <mat-tree-node *matTreeNodeDef="let node" matTreeNodeToggle>
            <div class="mat-tree-node">
              <!-- use a disabled button to provide padding for tree leaf -->
              <li class="side-factory">
                  <span class="w-70">{{ node.name }}</span> 
              </li>

            </div>
          </mat-tree-node>
          <!-- This is the tree node template for expandable nodes -->
          <mat-nested-tree-node *matTreeNodeDef="let node; when: hasChild">
            <li class="side-factory">
              <div class="mat-tree-node new-tree">
                <button
                  mat-icon-button
                  matTreeNodeToggle
                  [attr.aria-label]="'Toggle ' + node.name"
                >
                  <mat-icon class="mat-icon-rtl-mirror">
                    {{
                      treeControl.isExpanded(node) ? "expand_more" : "chevron_right"
                    }}
                  </mat-icon>
  
                </button>
                
              <span class="w-70">{{ node.name }}</span>     
               
                <button mat-icon-button [matMenuTriggerFor]="menu">
                  <mat-icon class="mat-icon-rtl-mirror color-foz">
                    more_horiz
                  </mat-icon>
                </button>
  
                  <mat-menu #menu="matMenu" >
              <div *ngIf = "node.type === 'space'">
                <button mat-menu-item>New Project</button>
              </div>
              <div *ngIf = "node.type === 'project'">
                <button mat-menu-item>New List</button>
              </div>

                    <!-- <button mat-menu-item>Item 2</button> -->
                  </mat-menu>
              
                
  
                
  
                    
  
              </div>
              <ul [class.example-tree-invisible]="!treeControl.isExpanded(node)" class="mt-new-first">
                <ng-container matTreeNodeOutlet></ng-container>
              </ul>
            </li>
          </mat-nested-tree-node>
  
        </mat-tree>
      </div>
    </div>
    <div class="col-md-9 col-xs-12">
  
      <div class="row">
        <div class="col-md-12 bg-white">
          <div class="row">
  
        <div class="col-md-12 col-xs-12">
          <div class="row">
            <div class="col-md-12">
              <h5 class="spaces-new">Page Bulider</h5>
  
          
              <mat-tab-group class="demo-tab-group new-group"   mat-align-tabs="end" animationDuration="0">
               
                <mat-tab label="Tab 1">
                  <ng-template mat-tab-label>
                    <div>
                      <span class="material-icons md-30" style="vertical-align: sub;">
                        list
                        </span>
                                            <span class="list-new">List</span>
                    </div>
                  </ng-template>
                  <div class="demo-tab-content bg-grey-number">
                    <div class="mb-30">
                      <div class="col-md-12 col-xs-12">
                        <table class="table table-borderless table-responvie-sm">
                          <thead>
                            <tr>
                              <th scope="col">#</th>
                              <th scope="col">First</th>
                              <th scope="col">Last</th>
                              <th scope="col">Handle</th>
                            </tr>
                          </thead>
                          <tbody class="bg-white-space">
                            <tr>
                              <th scope="row">1</th>
                              <td>Mark</td>
                              <td>Otto</td>
                              <td>@mdo</td>
                            </tr>
                            <tr>
                              <th scope="row">2</th>
                              <td>Jacob</td>
                              <td>Thornton</td>
                              <td>@fat</td>
                            </tr>
                            <tr>
                              <th scope="row">3</th>
                              <td>Larry</td>
                              <td>the Bird</td>
                              <td>@twitter</td>
                            </tr>
                          </tbody>
                        </table>
                        </div>
                      </div>
  
                      <div class="mb-30">
                        <div class="col-md-12 col-xs-12">
                          <table class="table table-borderless table-responvie-sm">
                            <thead>
                              <tr>
                                <th scope="col">#</th>
                                <th scope="col">First</th>
                                <th scope="col">Last</th>
                                <th scope="col">Handle</th>
                              </tr>
                            </thead>
                            <tbody class="bg-white-space">
                              <tr>
                                <th scope="row">1</th>
                                <td>Mark</td>
                                <td>Otto</td>
                                <td>@mdo</td>
                              </tr>
                              <tr>
                                <th scope="row">2</th>
                                <td>Jacob</td>
                                <td>Thornton</td>
                                <td>@fat</td>
                              </tr>
                              <tr>
                                <th scope="row">3</th>
                                <td>Larry</td>
                                <td>the Bird</td>
                                <td>@twitter</td>
                              </tr>
                            </tbody>
                          </table>
                          </div>
                        </div>
                  </div>  
                </mat-tab>
  
                <mat-tab label="Tab 2">
                  <ng-template mat-tab-label>
                    <div>
                      <span class="material-icons md-30">
                        laptop</span>
                        <span class="list-new">                    Board</span>
                    </div>
                  </ng-template>
                  <div class="demo-tab-content bg-grey-number">
                    <div class="bg-white-space">
                      <div class="col-md-12 col-xs-12">
                        <div class="card-columns">
                          <div class="card">
                            <img class="card-img-top" src="http://via.placeholder.com/1600x900/483D8B/ffffff?text=Card+1" alt="Card image cap">
                            <div class="card-body">
                              <h5 class="card-title">Card title that wraps to a new line</h5>
                              <p class="card-text">This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
                            </div>
                          </div>
                          <div class="card p-3">
                            <blockquote class="blockquote mb-0 card-body">
                              <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                              <footer class="blockquote-footer">
                                <small class="text-muted">
                                  Someone famous in <cite title="Source Title">Source Title</cite>
                                </small>
                              </footer>
                            </blockquote>
                          </div>
                          <div class="card">
                            <img class="card-img-top" src="http://via.placeholder.com/1600x450/9400D3/ffffff?text=Card+2" alt="Card image cap">
                            <div class="card-body">
                              <h5 class="card-title">Card title</h5>
                              <p class="card-text">This card has supporting text below as a natural lead-in to additional content.</p>
                              <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                            </div>
                          </div>
                          <div class="card bg-primary text-white text-center p-3">
                            <blockquote class="blockquote mb-0">
                              <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat.</p>
                              <footer class="blockquote-footer">
                                <small>
                                  Someone famous in <cite title="Source Title">Source Title</cite>
                                </small>
                              </footer>
                            </blockquote>
                          </div>
                          <div class="card text-center">
                            <div class="card-body">
                              <h5 class="card-title">Card title</h5>
                              <p class="card-text">This card has supporting text below as a natural lead-in to additional content.</p>
                              <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                            </div>
                          </div>
                          <div class="card">
                            <img class="card-img" src="http://via.placeholder.com/1600x1600/FF1493/ffffff?text=Card+3" alt="Card image">
                          </div>
                          <div class="card p-3 text-right">
                            <blockquote class="blockquote mb-0">
                              <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                              <footer class="blockquote-footer">
                                <small class="text-muted">
                                  Someone famous in <cite title="Source Title">Source Title</cite>
                                </small>
                              </footer>
                            </blockquote>
                          </div>
                          <div class="card">
                            <div class="card-body">
                              <h5 class="card-title">Card title</h5>
                              <p class="card-text">This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.</p>
                              <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                            </div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>  
                </mat-tab>
  
                <mat-tab label="Tab 3">
                  <ng-template mat-tab-label>
                    <div>
                      <span class="material-icons md-30">
                        calendar_today
                        </span>
                      
                      <span class="list-new">Schedule</span>
                    </div>
                  </ng-template>
                 
                    <div class="demo-tab-content bg-grey-number">
                      <div class="bg-white-space">
                        <div class="col-md-12 col-xs-12">
                          <div class="card-columns">
                            <div class="card">
                              <img class="card-img-top" src="http://via.placeholder.com/1600x900/483D8B/ffffff?text=Card+1" alt="Card image cap">
                              <div class="card-body">
                                <h5 class="card-title">Card title that wraps to a new line</h5>
                                <p class="card-text">This is a longer card with supporting text below as a natural lead-in to additional content. This content is a little bit longer.</p>
                              </div>
                            </div>
                            <div class="card p-3">
                              <blockquote class="blockquote mb-0 card-body">
                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                                <footer class="blockquote-footer">
                                  <small class="text-muted">
                                    Someone famous in <cite title="Source Title">Source Title</cite>
                                  </small>
                                </footer>
                              </blockquote>
                            </div>
                            <div class="card">
                              <img class="card-img-top" src="http://via.placeholder.com/1600x450/9400D3/ffffff?text=Card+2" alt="Card image cap">
                              <div class="card-body">
                                <h5 class="card-title">Card title</h5>
                                <p class="card-text">This card has supporting text below as a natural lead-in to additional content.</p>
                                <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                              </div>
                            </div>
                            <div class="card bg-primary text-white text-center p-3">
                              <blockquote class="blockquote mb-0">
                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat.</p>
                                <footer class="blockquote-footer">
                                  <small>
                                    Someone famous in <cite title="Source Title">Source Title</cite>
                                  </small>
                                </footer>
                              </blockquote>
                            </div>
                            <div class="card text-center">
                              <div class="card-body">
                                <h5 class="card-title">Card title</h5>
                                <p class="card-text">This card has supporting text below as a natural lead-in to additional content.</p>
                                <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                              </div>
                            </div>
                            <div class="card">
                              <img class="card-img" src="http://via.placeholder.com/1600x1600/FF1493/ffffff?text=Card+3" alt="Card image">
                            </div>
                            <div class="card p-3 text-right">
                              <blockquote class="blockquote mb-0">
                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
                                <footer class="blockquote-footer">
                                  <small class="text-muted">
                                    Someone famous in <cite title="Source Title">Source Title</cite>
                                  </small>
                                </footer>
                              </blockquote>
                            </div>
                            <div class="card">
                              <div class="card-body">
                                <h5 class="card-title">Card title</h5>
                                <p class="card-text">This is a wider card with supporting text below as a natural lead-in to additional content. This card has even longer content than the first to show that equal height action.</p>
                                <p class="card-text"><small class="text-muted">Last updated 3 mins ago</small></p>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                  
                  </div>  
                </mat-tab>
              
              
               
              
              </mat-tab-group>
            </div>
  
          </div>
        
  
        
          
                
              
            
          
        </div>
        </div>
        </div>
      </div>
  
    </div>
  </div>
  </div>
  
  